Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Sep 2008 23:11:10 -0400

>> If we are going to attempt this, then it is better to tell a lie
>> that fits with the expectations of POSIX (ie that owners of files
>> are individual users).

> The problem is, I don't see how we can do this reliably.  In this
> particular case, Emacs compares the file's ownership with the UID of
> the user running Emacs, so we could pretend the file is owned by that
> user.  But in other cases, Emacs could compare the ownership to a UID
> of some other user, and what will we do then?

I think the problem comes earlier: the (let ((default-file-modes ?\700))
should make sure that the directory created there is owned by the use
and not by some Administator group.

Of course, on FAT there's just nothing we can do and the
server-ensure-safe-dir functionality simply cannot be provided, so we
should then just skip the safety checks,

        Stefan